TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Position ( dry D, any a ) -> elt-ord^rat

### Optional Arguments

Start | elt-ord^rat | (Default: 1) | Determines the position where the search is started.
Fail | any |  | Determines what to return in case of failure.

### Description

<shortdoc> Return the position of the occurence of `a' in `D' if `a in D' is true, and FAILURE otherwise. </shortdoc>

### Examples

D:=Dry([1,12,4,3]); Position(D,12); Position(D,1,rec(Start:=2)); Position(D,"foo");

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack